### Method

# GLib OptionGroup set_error_hook

since: 2.6

#### Declaration [src]

    void
    g_option_group_set_error_hook (
      GOptionGroup* group,
      GOptionErrorFunc error_func
    )

#### Description [src]

Associates a function with `group` which will be called from `g_option_context_parse()` when an error occurs.

Note that the user data to be passed to `error_func` can be specified when constructing the group with g_option_group_new().

Available since: 2.6

This method is not directly available to language bindings.

#### Parameters

`error_func`

  Type: `GOptionErrorFunc`

  A function to call when an error occurs.